Page MenuHomeFreeBSD

sysutils/graylog: update to 3.0.2
ClosedPublic

Authored by dch on Apr 23 2019, 7:41 AM.

Details

Summary

amend messages and file locations to match upstream config

Test Plan

@jrm I've bumped this to 3.0.2 as it's trivial, and added %%ETCDIR%% to pkg-plist as poudriere checks now pick it up. ready to ship IMO.

poudriere 12.0R x64 is happy.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dch created this revision.Apr 23 2019, 7:41 AM
dch updated this revision to Diff 56531.Apr 23 2019, 7:49 AM

spelling

it seems Thomas is in phab too - yay

dch planned changes to this revision.Apr 26 2019, 1:55 PM

portlint is not happy:

WARN: Makefile: CATEGORIES is set externally to this port's Makefile, but this port is not configured as a slave port.
WARN: Makefile: "MASTER_SITES" has to appear earlier.
FATAL: Makefile: extra item "CATEGORIES" placed in the MAINTAINER section.
FATAL: Makefile: extra item "MASTER_SITES" placed in the MAINTAINER section.
WARN: Makefile: COMMENT is set externally to this port's Makefile, but this port is not configured as a slave port.
FATAL: Makefile: extra item "MAINTAINER" placed in the LICENSE section.
FATAL: Makefile: extra item "COMMENT" placed in the LICENSE section.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LICENSE" has to appear earlier.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "USES" has to appear earlier.
jrm added a comment.Apr 26 2019, 2:04 PM

Would it be useful to put all the details about the required interventions in the UPDATING entry, then just have a short note to reference the entry in pkg-message? Something along the lines of

The location and ... of the configuration has changed with version.., see...?

pkg-message is good because users see it when they install, UPDATING is good because it's a persistent log. Less duplication is good.

dch updated this revision to Diff 56718.Apr 26 2019, 5:22 PM
  • massive diff to appease portlint
dch updated this revision to Diff 56720.Apr 26 2019, 5:32 PM
  • appease portlint
  • fix UPDATING nits
  • override weird git base for patch that pulled in unwanted garbage
dch updated this revision to Diff 56721.Apr 26 2019, 5:36 PM
  • use appropriate permissions for runtime dirs
dch updated this revision to Diff 57659.May 21 2019, 10:18 PM

update to 3.0.2

dch retitled this revision from sysutils/graylog: update to 3.0.1 to sysutils/graylog: update to 3.0.2.May 21 2019, 10:23 PM
dch edited the test plan for this revision. (Show Details)
dch updated this revision to Diff 57660.May 21 2019, 10:34 PM

add missing ETCDIR to pkg-plist

dch edited the test plan for this revision. (Show Details)May 21 2019, 11:10 PM
dch updated this revision to Diff 57662.May 21 2019, 11:14 PM

float UPDATING entry to top of file and bump date

dch edited the test plan for this revision. (Show Details)May 21 2019, 11:20 PM
jrm accepted this revision.May 22 2019, 3:48 PM

poudriere testport 11.2/12.0 i386/amd64 pass.

This revision is now accepted and ready to land.May 22 2019, 3:48 PM
This revision was automatically updated to reflect the committed changes.